struct Point_t
{
	unsigned int x;
	unsigned int y;
};
/* returns 1 if p1 >= p2 in Morton order 0 otherwise */
int compare(Point_t &p1, Point_t &p2)
{
	unsigned int dx = p1.x ^ p2.x;
	unsigned int dy = p1.y ^ p2.y;
	unsigned int d  = dx ^ dy;
	return ((d<dx && d<dy) || dy>dx)? p1.y>=p2.y : p1.x>=p2.x;
}

