/* Even though it looks like C it is really -*-c++-*- */
#ifndef __STANDARD_H
#define __STANDARD_H

#ifndef Boolean
#define Boolean int
const int True = 1;
const int False = 0;
#endif

#ifndef NDEBUG
#define Assert(ex)															\
{																								\
  if (!(ex))																		\
  {																							\
    (void)fprintf(stderr,"Invariant ["#ex"] does not hold at %s:%d\n",  \
                  __FILE__, __LINE__);					\
    abort();																		\
  }																							\
}

#define SideAssert(ex) {(ex); Assert(ex);}
#else
#define Assert(ex)
#define SideAssert(ex) {(ex);}
#endif




#endif

  
